Subject: Re: bug#56792: 29.0.50; Emacs crashes when selecting text if xfreerdp is also running

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Jul 2022 12:25:28 +0200

Po Lu <[email-masked]> writes:

> The segfault (which is really not a segfault, just GDK displaying a
> window system error and aborting in an unusual manner) is hard to avoid
> without adding X specific error handling code
> (gdk_x11_display_error_trap_push).  Which will then add a dependency on
> the X11-specific parts of GDK, and won't work if Emacs did not see them
> at build-time.

But aborting here is not acceptable.  Surely there's something Emacs can
do here -- it doesn't have to do something sensible, it just has to not
abort.